4 Group interface#
4.1 Add group Admin#
POST /group/admin/add
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| user_list | array[int64] | true | | User id list |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | array[object] | Result data |
| ⇥ reason | string | Error message |
| ⇥ result | string | Operation result: success/fail |
| ⇥ user_id | int64 | User ID |
| message | string | Error information, null means success |
Interface Description#
4.2 Add a group member directly with an administrator token#
POST /group/admin/member_join
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| user_list | array[int64] | true | | User id list |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | object | Result data |
| message | string | Error information, null means success |
Interface Description#
4.2 Remove group Admin#
DELETE /group/admin/remove
POST /group/admin/remove
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| user_list | array[int64] | true | | User id list |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | array[object] | Result data |
| ⇥ reason | string | Error message |
| ⇥ result | string | Operation result: success/fail |
| ⇥ user_id | int64 | User ID |
| message | string | Error information, null means success |
Interface Description#
4.3 Get the list of group Admins#
GET /group/admin_list
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Query Param#
| Parameter | Data Type | Required | Description |
|---|
| group_id | int64 | true | GroupID |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | array[object] | Result data |
| ⇥ display_name | string | Group member profile |
| ⇥ expired_time | int64 | BanExpiration time(milliseconds) |
| ⇥ join_time | int64 | Member join time(milliseconds) |
| ⇥ user_id | int64 | User ID |
| message | string | Error information, null means success |
Interface Description#
4.4 Get group announcement details by group id and announcement id#
GET /group/announcement
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Query Param#
| Parameter | Data Type | Required | Description |
|---|
| announcement_id | int64 | true | Announcement ID |
| group_id | int64 | true | GroupID |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | object | Result data |
| ⇥ author | int64 | Announcement publisher |
| ⇥ content | string | Announcement content |
| ⇥ created_at | int64 | Announcement publish time(milliseconds) |
| ⇥ group_id | int64 | Group id |
| ⇥ id | int64 | Announcement id |
| ⇥ title | string | Announcement tittle |
| message | string | Error information, null means success |
Interface Description#
4.5 Delete group announcement#
DELETE /group/announcement/delete
POST /group/announcement/delete
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Query Param#
| Parameter | Data Type | Required | Description |
|---|
| announcement_id | int64 | true | Announcement ID |
| group_id | int64 | true | GroupID |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | object | Result data |
| message | string | Error information, null means success |
Interface Description#
4.6 Edit group announcement#
POST /group/announcement/edit
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| content | string | true | | Announcement content |
| group_id | int64 | true | | Group id |
| title | string | true | | Announcement tittle |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | object | Result data |
| ⇥ author | int64 | Announcement publisher |
| ⇥ content | string | Announcement content |
| ⇥ created_at | int64 | Announcement publish time(milliseconds) |
| ⇥ group_id | int64 | Group id |
| ⇥ id | int64 | Announcement id |
| ⇥ title | string | Announcement tittle |
| message | string | Error information, null means success |
Interface Description#
4.7 Get the latest group announcement details#
GET /group/announcement/last
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Query Param#
| Parameter | Data Type | Required | Description |
|---|
| group_id | int64 | true | GroupID |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | object | Result data |
| ⇥ author | int64 | Announcement publisher |
| ⇥ content | string | Announcement content |
| ⇥ created_at | int64 | Announcement publish time(milliseconds) |
| ⇥ group_id | int64 | Group id |
| ⇥ id | int64 | Announcement id |
| ⇥ title | string | Announcement tittle |
| message | string | Error information, null means success |
Interface Description#
4.8 Get group announcements list#
GET /group/announcement/list
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Query Param#
| Parameter | Data Type | Required | Description |
|---|
| group_id | int64 | true | GroupID |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | array[object] | Result data |
| ⇥ author | int64 | Announcement publisher |
| ⇥ content | string | Announcement content |
| ⇥ created_at | int64 | Announcement publish time(milliseconds) |
| ⇥ group_id | int64 | Group id |
| ⇥ id | int64 | Announcement id |
| ⇥ title | string | Announcement tittle |
| message | string | Error information, null means success |
Interface Description#
4.9 Get the list of group membership requests#
POST /group/application_list
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Query Param#
| Parameter | Data Type | Required | Description |
|---|
| cursor | string | false | Cursor: where to start fetching |
| limit | int32 | false | How many to fetch |
| version | int64 | false | Version |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_list | array[int64] | true | | Group id list |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| cursor | string | Cursor for page turning |
| data | array[object] | Result data |
| ⇥ applicant_id | int64 | Applicant's User ID |
| ⇥ expired_time | int64 | Application Expiration Timestamp(milliseconds) |
| ⇥ group_id | int64 | GroupID |
| ⇥ reason | string | Reason |
| ⇥ status | int32 | Status: 0 - Pending, 1 - Agreed, 2 - Rejected |
| message | string | Error information, null means success |
| total | int64 | Total |
| version | int64 | Version, not used at present, reserved for extension |
Interface Description#
4.10 Apply for group membership#
POST /group/apply
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| reason | string | false | | Reason for membership application |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | object | Result data |
| ⇥ reason | string | Error message |
| ⇥ result | string | Operation result: success/fail |
| ⇥ user_id | int64 | User ID |
| message | string | Error information, null means success |
Interface Description#
4.11 Admin processes membership application#
PUT /group/apply/handle
POST /group/apply/handle
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| approval | boolean | true | | Approval, bool type, true for approval, false for rejection |
| group_id | int64 | true | | Group id |
| user_id | int64 | true | | User ID |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | object | Result data |
| ⇥ reason | string | Error message |
| ⇥ result | string | Operation result: success/fail |
| ⇥ user_id | int64 | User ID |
| message | string | Error information, null means success |
Interface Description#
4.12 Ban a user#
POST /group/ban
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| duration | int64 | true | | Duration of banned in minutes |
| group_id | int64 | true | | Group id |
| user_list | array[int64] | true | | User id list |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | array[object] | Result data |
| ⇥ reason | string | Error message |
| ⇥ result | string | Operation result: success/fail |
| ⇥ user_id | int64 | User ID |
| message | string | Error information, null means success |
Interface Description#
4.13 Get a list of banned members#
GET /group/banned_list
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Query Param#
| Parameter | Data Type | Required | Description |
|---|
| cursor | string | false | Cursor:where to start fetching |
| group_id | int64 | true | GroupID |
| limit | int32 | false | How many to fetch |
| version | int64 | false | Version |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| cursor | string | Cursor for page turning |
| data | array[object] | Result data |
| ⇥ display_name | string | Group member profile |
| ⇥ expired_time | int64 | BanExpiration time(milliseconds) |
| ⇥ join_time | int64 | Member join time(milliseconds) |
| ⇥ user_id | int64 | User ID |
| message | string | Error information, null means success |
| total | int64 | Total |
| version | int64 | Version, not used at present, reserved for extension |
Interface Description#
4.14 Blacklist a user#
POST /group/block
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| user_list | array[int64] | true | | User id list |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | array[object] | Result data |
| ⇥ reason | string | Error message |
| ⇥ result | string | Operation result: success/fail |
| ⇥ user_id | int64 | User ID |
| message | string | Error information, null means success |
Interface Description#
4.15 Get backlist#
GET /group/blocked_list
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Query Param#
| Parameter | Data Type | Required | Description |
|---|
| cursor | string | false | Cursor:where to start fetching |
| group_id | int64 | true | GroupID |
| limit | int32 | false | How many to fetch |
| version | int64 | false | Version |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| cursor | string | Cursor for page turning |
| data | array[object] | Result data |
| ⇥ created_at | string | Creation time |
| ⇥ group_id | int64 | GroupID |
| ⇥ user_id | int64 | User ID |
| message | string | Error information, null means success |
| total | int64 | Total |
| version | int64 | Version, not used at present, reserved for extension |
Interface Description#
4.16 Create group#
POST /group/create
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| avatar | string | false | | Group avatar |
| description | string | false | | Group description |
| name | string | false | | Group name |
| type | int32 | false | | Group type: 0 - private group, 2 - chatroom |
| user_list | array[int64] | false | | List of user ids invited to join group |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | object | Result data |
| ⇥ apply_approval | int32 | Group membership application settings, 0: Agree all requests 1: Need to confirm by Admin 2: Reject all requests |
| ⇥ avatar | string | Group avatar |
| ⇥ ban_expire_time | int64 | Expiration time (second), during which only Admins are allowed to send messages, 0 or less than the current time means no banning, -1 means banned permanently |
| ⇥ capacity | int64 | GroupCapacity |
| ⇥ count | int64 | Current count of group member |
| ⇥ created_at | int64 | Creation time(milliseconds) |
| ⇥ description | string | Group description |
| ⇥ ext | string | Group extension information |
| ⇥ group_id | int64 | Group id |
| ⇥ hide_member_info | boolean | Whether to hide group member details: true hides them; false shows them. |
| ⇥ history_visible | boolean | History chat visibility settings for new members: true - New members can see chat history, false - New members invisible chat history |
| ⇥ member_invite | boolean | Whether to allow group members to invite others into the group: true - Group members are allowed to invite others into the group, false - Group members are not allowed to invite others into the group |
| ⇥ member_modify | boolean | Group members modify group information settings: true - Allow group members to modify group information, false - Do not allow group members to modify group information |
| ⇥ msg_mute_mode | int32 | Group message blocking mode: 0 - not blocking, 1 - blocking local message notifications, 2 - blocking messages, not receiving messages |
| ⇥ msg_push_mode | int32 | Group message push mode: 0 - receive all pushes, 1 - not accept pushes, 2 - receive admin and @message pushes, 3 - only receive admin pushes, 4 - only receive @message pushes |
| ⇥ name | string | Group name |
| ⇥ owner_id | int64 | Group Owner id |
| ⇥ read_ack | boolean | Whether to enable the read function of group messages: true - enable the read function of group messages, false - disable the read function of group messages |
| ⇥ status | int32 | Group state, 0: normal, 1: dissolved |
| ⇥ type | int32 | Group type: 0 - private group, 2 - chatroom |
| ⇥ updated_at | int64 | Update time(milliseconds) |
| message | string | Error information, null means success |
Interface Description#
4.17 Disband group#
DELETE /group/destroy
POST /group/destroy
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Query Param#
| Parameter | Data Type | Required | Description |
|---|
| group_id | int64 | true | GroupID |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | boolean | Result data |
| message | string | Error information, null means success |
Interface Description#
4.18 Update group profile#
PUT /group/display_name
POST /group/display_name
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| value | string | true | | Update content |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | boolean | Result data |
| message | string | Error information, null means success |
Interface Description#
4.19 Download group file#
GET /group/file
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Query Param#
| Parameter | Data Type | Required | Description |
|---|
| file_id | int64 | true | FileID |
| group_id | int64 | true | GroupID |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | object | Result data |
| ⇥ created_at | int64 | Creation time(milliseconds) |
| ⇥ file_id | int64 | Shared file id |
| ⇥ group_id | int64 | Group id |
| ⇥ name | string | Shared file name |
| ⇥ size | int64 | Shared file size |
| ⇥ type | string | Shared file type |
| ⇥ updated_at | int64 | Update time(milliseconds) |
| ⇥ uploader | int64 | Shared file uploader |
| ⇥ url | string | Shared file url |
| message | string | Error information, null means success |
Interface Description#
4.20 Delete group file#
DELETE /group/file/delete
POST /group/file/delete
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| file_list | array[int64] | true | | File id list |
| group_id | int64 | true | | Group id |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | array[object] | Result data |
| ⇥ file_id | int64 | FileID |
| ⇥ reason | string | Reason |
| ⇥ result | string | Result: success/fail |
| message | string | Error information, null means success |
Interface Description#
4.21 Get the list of group files#
GET /group/file/list
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Query Param#
| Parameter | Data Type | Required | Description |
|---|
| group_id | int64 | true | GroupID |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | array[object] | Result data |
| ⇥ created_at | int64 | Creation time(milliseconds) |
| ⇥ file_id | int64 | Shared file id |
| ⇥ group_id | int64 | Group id |
| ⇥ name | string | Shared file name |
| ⇥ size | int64 | Shared file size |
| ⇥ type | string | Shared file type |
| ⇥ updated_at | int64 | Update time(milliseconds) |
| ⇥ uploader | int64 | Shared file uploader |
| ⇥ url | string | Shared file url |
| message | string | Error information, null means success |
Interface Description#
4.22 Update group file name#
PUT /group/file/update_name
POST /group/file/update_name
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| file_id | int64 | true | | File id |
| group_id | int64 | true | | Group id |
| name | string | true | | New file name |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | boolean | Result data |
| message | string | Error information, null means success |
Interface Description#
4.23 Upload group file#
POST /group/file/upload
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| name | string | true | | File name |
| size | int64 | true | | File size |
| type | string | false | | File type |
| url | string | true | | File url |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | object | Result data |
| ⇥ created_at | int64 | Creation time(milliseconds) |
| ⇥ file_id | int64 | Shared file id |
| ⇥ group_id | int64 | Group id |
| ⇥ name | string | Shared file name |
| ⇥ size | int64 | Shared file size |
| ⇥ type | string | Shared file type |
| ⇥ updated_at | int64 | Update time(milliseconds) |
| ⇥ uploader | int64 | Shared file uploader |
| ⇥ url | string | Shared file url |
| message | string | Error information, null means success |
Interface Description#
4.24 Get group information by group id#
GET /group/info
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Query Param#
| Parameter | Data Type | Required | Description |
|---|
| group_id | int64 | true | GroupID |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | object | Result data |
| ⇥ apply_approval | int32 | Group membership application settings, 0: Agree all requests 1: Need to confirm by Admin 2: Reject all requests |
| ⇥ avatar | string | Group avatar |
| ⇥ ban_expire_time | int64 | Expiration time (second), during which only Admins are allowed to send messages, 0 or less than the current time means no banning, -1 means banned permanently |
| ⇥ capacity | int64 | GroupCapacity |
| ⇥ count | int64 | Current count of group member |
| ⇥ created_at | int64 | Creation time(milliseconds) |
| ⇥ description | string | Group description |
| ⇥ ext | string | Group extension information |
| ⇥ group_id | int64 | Group id |
| ⇥ hide_member_info | boolean | Whether to hide group member details: true hides them; false shows them. |
| ⇥ history_visible | boolean | History chat visibility settings for new members: true - New members can see chat history, false - New members invisible chat history |
| ⇥ member_invite | boolean | Whether to allow group members to invite others into the group: true - Group members are allowed to invite others into the group, false - Group members are not allowed to invite others into the group |
| ⇥ member_modify | boolean | Group members modify group information settings: true - Allow group members to modify group information, false - Do not allow group members to modify group information |
| ⇥ msg_mute_mode | int32 | Group message blocking mode: 0 - not blocking, 1 - blocking local message notifications, 2 - blocking messages, not receiving messages |
| ⇥ msg_push_mode | int32 | Group message push mode: 0 - receive all pushes, 1 - not accept pushes, 2 - receive admin and @message pushes, 3 - only receive admin pushes, 4 - only receive @message pushes |
| ⇥ name | string | Group name |
| ⇥ owner_id | int64 | Group Owner id |
| ⇥ read_ack | boolean | Whether to enable the read function of group messages: true - enable the read function of group messages, false - disable the read function of group messages |
| ⇥ status | int32 | Group state, 0: normal, 1: dissolved |
| ⇥ type | int32 | Group type: 0 - private group, 2 - chatroom |
| ⇥ updated_at | int64 | Update time(milliseconds) |
| message | string | Error information, null means success |
Interface Description#
4.25 Update group avatar#
PUT /group/info/avatar
POST /group/info/avatar
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| value | string | true | | Update content |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | boolean | Result data |
| message | string | Error information, null means success |
Interface Description#
4.26 Get group information by group id#
POST /group/info/batch
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_list | array[int64] | true | | Group id list |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | array[object] | Result data |
| ⇥ apply_approval | int32 | Group membership application settings, 0: Agree all requests 1: Need to confirm by Admin 2: Reject all requests |
| ⇥ avatar | string | Group avatar |
| ⇥ capacity | int64 | GroupCapacity |
| ⇥ count | int64 | Current count of group member |
| ⇥ group_id | int64 | GroupID |
| ⇥ msg_mute_mode | int32 | Group message blocking mode: 0 - not blocking, 1 - blocking local message notifications, 2 - blocking messages, not receiving messages |
| ⇥ msg_push_mode | int32 | Group message push mode: 0 - receive all pushes, 1 - not accept pushes, 2 - receive admin and @message pushes, 3 - only receive admin pushes, 4 - only receive @message pushes |
| ⇥ name | string | Group name |
| ⇥ owner | int64 | Group Owner id |
| ⇥ status | int32 | Group state, 0: normal, 1: dissolved |
| ⇥ type | int32 | Group type: 0 - private group, 2 - chatroom |
| message | string | Error information, null means success |
Interface Description#
4.27 Update group description#
PUT /group/info/description
POST /group/info/description
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| value | string | true | | Update content |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | boolean | Result data |
| message | string | Error information, null means success |
Interface Description#
4.28 Update extension information#
PUT /group/info/ext
POST /group/info/ext
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| value | string | true | | Update content |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | boolean | Result data |
| message | string | Error information, null means success |
Interface Description#
4.29 Update group name#
PUT /group/info/name
POST /group/info/name
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| value | string | true | | Update content |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | boolean | Result data |
| message | string | Error information, null means success |
Interface Description#
4.30 Get group invitation list#
GET /group/invitation_list
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Query Param#
| Parameter | Data Type | Required | Description |
|---|
| cursor | string | false | Cursor: where to start fetching |
| limit | int32 | false | How many to fetch |
| version | int64 | false | Version |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| cursor | string | Cursor for page turning |
| data | array[object] | Result data |
| ⇥ expired_time | int64 | Expiration timestamp(milliseconds) |
| ⇥ group_id | int64 | GroupID |
| ⇥ invitee_id | int64 | Invitee ID |
| ⇥ inviter_id | int64 | Inviter ID |
| ⇥ reason | string | Reason |
| ⇥ status | int32 | Status: 0 - Pending, 1 - User agreed, 2 - User rejected |
| ⇥ updated_at | string | Update time |
| message | string | Error information, null means success |
| total | int64 | Total |
| version | int64 | Version, not used at present, reserved for extension |
Interface Description#
4.31 Invite to group#
POST /group/invite
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| reason | string | false | | Invitation reason |
| user_list | array[int64] | true | | Invitee id, List type, multiple users can be invited to a group at one time |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | array[object] | Result data |
| ⇥ reason | string | Error message |
| ⇥ result | string | Operation result: success/fail |
| ⇥ user_id | int64 | User ID |
| message | string | Error information, null means success |
Interface Description#
4.32 Process group invitation by user#
PUT /group/invite/handle
POST /group/invite/handle
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| approval | boolean | true | | Approval, bool type, true for approval, false for rejection |
| group_id | int64 | true | | Group id |
| user_id | int64 | true | | User ID |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | boolean | Result data |
| message | string | Error information, null means success |
Interface Description#
4.33 Kick member out of group#
DELETE /group/kick
POST /group/kick
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| user_list | array[int64] | true | | User id list |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | array[object] | Result data |
| ⇥ reason | string | Error message |
| ⇥ result | string | Operation result: success/fail |
| ⇥ user_id | int64 | User ID |
| message | string | Error information, null means success |
Interface Description#
4.34 Member quit group#
DELETE /group/leave
POST /group/leave
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Query Param#
| Parameter | Data Type | Required | Description |
|---|
| group_id | int64 | true | GroupID |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | boolean | Result data |
| message | string | Error information, null means success |
Interface Description#
4.35 Get group member list by group id#
GET /group/member_list
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Query Param#
| Parameter | Data Type | Required | Description |
|---|
| cursor | string | false | Cursor:where to start fetching |
| group_id | int64 | true | GroupID |
| limit | int32 | false | How many to fetch |
| version | int64 | false | Version |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| cursor | string | Cursor for page turning |
| data | array[object] | Result data |
| ⇥ display_name | string | Group member profile |
| ⇥ expired_time | int64 | BanExpiration time(milliseconds) |
| ⇥ join_time | int64 | Member join time(milliseconds) |
| ⇥ user_id | int64 | User ID |
| message | string | Error information, null means success |
| total | int64 | Total |
| version | int64 | Version, not used at present, reserved for extension |
Interface Description#
4.36 Batch retrieval of group member profiles#
POST /group/members/display_name
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| user_list | array[int64] | true | | User id list |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | array[object] | Result data |
| ⇥ display_name | string | Group member profile |
| ⇥ expired_time | int64 | BanExpiration time(milliseconds) |
| ⇥ join_time | int64 | Member join time(milliseconds) |
| ⇥ user_id | int64 | User ID |
| message | string | Error information, null means success |
Interface Description#
4.38 Get selected group members in batches#
POST /group/members/info
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | GroupID |
| user_list | array[int64] | true | | User ID list, with at most 100 entries |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | array[object] | Result data |
| ⇥ avatar | string | User avatar |
| ⇥ display_name | string | Group member profile |
| ⇥ join_time | int64 | Time the member joined the group, in milliseconds |
| ⇥ nick_name | string | User display name |
| ⇥ user_id | int64 | User ID |
| ⇥ username | string | Username |
| message | string | Error information, null means success |
Interface Description#
4.39 Search group members#
GET /group/members/search
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Query Param#
| Parameter | Data Type | Required | Description |
|---|
| cursor | string | false | Cursor |
| group_id | int64 | true | GroupID |
| keyword | string | true | Search keyword |
| limit | int32 | false | Maximum number of items to return; defaults to 20, accepts 1–100, and caps larger values at 100 |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| cursor | string | Cursor, no cursor in returned result means the last page has been returned |
| data | array[object] | Result data |
| ⇥ avatar | string | User avatar |
| ⇥ display_name | string | Group member profile |
| ⇥ join_time | int64 | Time the member joined the group, in milliseconds |
| ⇥ nick_name | string | User display name |
| ⇥ user_id | int64 | User ID |
| ⇥ username | string | Username |
| message | string | Error information, null means success |
| version | int64 | Version |
Interface Description#
4.37 Set group message blocking mode#
PUT /group/msg/mute_mode
POST /group/msg/mute_mode
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| msg_mute_mode | int32 | true | | Group message blocking mode: 0 - No blocking1 - Block local message notification2 - Block message, no message received |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | object | Result data |
| message | string | Error information, null means success |
Interface Description#
4.38 Set group message pushing mode#
PUT /group/msg/push_mode
POST /group/msg/push_mode
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| msg_push_mode | int32 | true | | Group message push type: 0: Receive all pushes; 1: Do not accept push; 2: Receive Admin and @ pushes; 3. Only receive Admin pushes; 4: Only receive @ pushes |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | object | Result data |
| message | string | Error information, null means success |
Interface Description#
4.39 Get public group list(Deprecated)#
GET /group/public_list
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | array[int64] | Result data |
| message | string | Error information, null means success |
Interface Description#
4.40 Group invitation via QR code#
POST /group/qrcode/invite
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| qr_info | string | true | | QR code information:It can be obtained by GET /group/qrcode/sign |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | object | Result data |
| message | string | Error information, null means success |
Interface Description#
4.41 Get Group invitation QR code#
GET /group/qrcode/sign
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Query Param#
| Parameter | Data Type | Required | Description |
|---|
| group_id | int64 | true | GroupID |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | object | Result data |
| ⇥ create_at | int64 | QR code generation time(milliseconds) |
| ⇥ expire_at | int64 | QR code expiration time(milliseconds) |
| ⇥ qr_info | string | QR code information |
| message | string | Error information, null means success |
Interface Description#
4.42 Get group settings#
GET /group/settings
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Query Param#
| Parameter | Data Type | Required | Description |
|---|
| group_id | int64 | true | GroupID |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | object | Result data |
| ⇥ apply_approval | int32 | Group membership application settings, 0: Agree all requests 1: Need to confirm by Admin 2: Reject all requests |
| ⇥ avatar | string | Group avatar |
| ⇥ ban_expire_time | int64 | Expiration time (second), during which only Admins are allowed to send messages, 0 or less than the current time means no banning, -1 means banned permanently |
| ⇥ capacity | int64 | GroupCapacity |
| ⇥ count | int64 | Current count of group member |
| ⇥ created_at | int64 | Creation time(milliseconds) |
| ⇥ description | string | Group description |
| ⇥ ext | string | Group extension information |
| ⇥ group_id | int64 | Group id |
| ⇥ hide_member_info | boolean | Whether to hide group member details: true hides them; false shows them. |
| ⇥ history_visible | boolean | History chat visibility settings for new members: true - New members can see chat history, false - New members invisible chat history |
| ⇥ member_invite | boolean | Whether to allow group members to invite others into the group: true - Group members are allowed to invite others into the group, false - Group members are not allowed to invite others into the group |
| ⇥ member_modify | boolean | Group members modify group information settings: true - Allow group members to modify group information, false - Do not allow group members to modify group information |
| ⇥ msg_mute_mode | int32 | Group message blocking mode: 0 - not blocking, 1 - blocking local message notifications, 2 - blocking messages, not receiving messages |
| ⇥ msg_push_mode | int32 | Group message push mode: 0 - receive all pushes, 1 - not accept pushes, 2 - receive admin and @message pushes, 3 - only receive admin pushes, 4 - only receive @message pushes |
| ⇥ name | string | Group name |
| ⇥ owner_id | int64 | Group Owner id |
| ⇥ read_ack | boolean | Whether to enable the read function of group messages: true - enable the read function of group messages, false - disable the read function of group messages |
| ⇥ status | int32 | Group state, 0: normal, 1: dissolved |
| ⇥ type | int32 | Group type: 0 - private group, 2 - chatroom |
| ⇥ updated_at | int64 | Update time(milliseconds) |
| message | string | Error information, null means success |
Interface Description#
4.43 Update group settings - whether to allow member invitations#
PUT /group/settings/allow_member_invitation
POST /group/settings/allow_member_invitation
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| value | boolean | true | | Update content |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | boolean | Result data |
| message | string | Error information, null means success |
Interface Description#
4.44 Update group settings - whether group members can modify group information#
PUT /group/settings/allow_member_modify
POST /group/settings/allow_member_modify
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| value | boolean | true | | Update content |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | boolean | Result data |
| message | string | Error information, null means success |
Interface Description#
4.45 Ban all members, only Admins can send messages#
POST /group/settings/ban_all
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| duration | int64 | true | | Duration of banned in minutes |
| group_id | int64 | true | | Group id |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | object | Result data |
| ⇥ ban_expire_time | int64 | Expiration time (second), during which only Admins are allowed to send messages, 0 or less than the current time means no banning, -1 means banned permanently |
| message | string | Error information, null means success |
Interface Description#
4.46 Update group settings - whether to enable “mark after read”#
PUT /group/settings/enable_read_ack
POST /group/settings/enable_read_ack
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| value | boolean | true | | Update content |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | boolean | Result data |
| message | string | Error information, null means success |
Interface Description#
4.50 Update whether group member details are hidden#
PUT /group/settings/hide_member_info
POST /group/settings/hide_member_info
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| value | boolean | true | | Update content |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | boolean | Result data |
| message | string | Error information, null means success |
Interface Description#
4.47 Update group settings - whether group chat history visible to new members#
PUT /group/settings/history_visible
POST /group/settings/history_visible
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| value | boolean | true | | Update content |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | boolean | Result data |
| message | string | Error information, null means success |
Interface Description#
4.48 Update group settings - whether group membership request needs Admin approval#
PUT /group/settings/require_admin_approval
POST /group/settings/require_admin_approval
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| apply_approval | int32 | true | | Group membership application settings, 0: Agree all requests 1: Need to confirm by Admin 2: Reject all requests |
| group_id | int64 | true | | Group id |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | boolean | Result data |
| message | string | Error information, null means success |
Interface Description#
4.49 Unban all members#
POST /group/settings/unban_all
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | boolean | Result data |
| message | string | Error information, null means success |
Interface Description#
4.50 Transfer of group Owner#
PUT /group/transfer
POST /group/transfer
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| new_owner | int64 | true | | User_id of new group Owner |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | object | Result data |
| ⇥ reason | string | Error message |
| ⇥ result | string | Operation result: success/fail |
| ⇥ user_id | int64 | User ID |
| message | string | Error information, null means success |
Interface Description#
4.51 Remove user from ban list#
POST /group/unban
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| user_list | array[int64] | true | | User id list |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | array[object] | Result data |
| ⇥ reason | string | Error message |
| ⇥ result | string | Operation result: success/fail |
| ⇥ user_id | int64 | User ID |
| message | string | Error information, null means success |
Interface Description#
4.52 Remove user from blacklist#
DELETE /group/unblock
POST /group/unblock
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Request Body#
| Parameter | Data Type | Required | Default | Description |
|---|
| group_id | int64 | true | | Group id |
| user_list | array[int64] | true | | User id list |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | array[object] | Result data |
| ⇥ reason | string | Error message |
| ⇥ result | string | Operation result: success/fail |
| ⇥ user_id | int64 | User ID |
| message | string | Error information, null means success |
Interface Description#
4.53 Get the list of groups for the user#
GET /group/user_joined
Request Header#
| Parameter | Data Type | Required | Description |
|---|
| access-token | string | false | Token |
| app_id | string | true | App ID |
| group_id | int64 | false | This field can be set only if access-token is an Admin token, means call this interface as an Admin for this group ID |
| user_id | int64 | false | This field can be set only if access-token is a user token, means call this interface as a group member for this user ID |
Response Body#
● 200 Response data format:JSON
| Parameter | Type | Description |
|---|
| code | int32 | Response code; 200 indicates success |
| data | array[int64] | Result data |
| message | string | Error information, null means success |
Interface Description#